/* 
 * lua_gettext.h
 * $Id: lua_gettext.h,v 1.6 2004/12/02 23:03:47 cpressey Exp $
 */

#ifndef __LUA_GETTEXT_H_
#define __LUA_GETTEXT_H_

/* macros */

#ifdef ENABLE_NLS
#include <libintl.h>
#define _(String) gettext (String)
#else
#define _(String) (String)
#endif

/* prototypes */

int		lua_init_gettext(lua_State *);
int		lua_gettext(lua_State *);
LUA_API int	lua_gettext_register(lua_State *);

#endif	/* !__LUA_GETTEXT_H_ */
